/*
 * e_du_dt.h
 *
 *  Created on: 07-06-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_DU_DT_H_
#define E_DU_DT_H_

#include "tdefs.h"

struct e_du_dt_logic
{
	float *esk_ptr;
	float *du_ptr;

	u8 start;
    float srednia_z_10ms[100];// zapamietywanie wartosci chwilowych z polokresu
    unsigned short index; // polozenie aktualnej probki w tablicy
};

struct e_du_dt_io
{
	u32 esk_float_in;
	u32 du_float_out;
}__attribute__((__packed__));

struct e_du_dt_params
{
}__attribute__((__packed__));

struct e_du_dt_args
{
	struct e_du_dt_io io;
	struct e_du_dt_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_du_dt_100hz(void *args, void *logic);
extern int e_du_dt_initlog(void *arguments, void *logic);

#endif /* E_DU_DT_H_ */
